OpenJPEG: opj_codestream_index Struct Reference

OpenJPEG 2.5.4

Data Fields
opj_codestream_index Struct Reference

Index structure of the codestream (FIXME should be expand and enhance) More...

`#include <openjpeg.h>`

## Data Fields
OPJ_OFF_T | main_head_start
| main header start position (SOC position)
OPJ_OFF_T | main_head_end
| main header end position (first SOT position)
OPJ_UINT64 | codestream_size
| codestream's size
OPJ_UINT32 | marknum
| number of markers
opj_marker_info_t * | marker
| list of markers
OPJ_UINT32 | maxmarknum
| actual size of markers array
OPJ_UINT32 | nb_of_tiles
opj_tile_index_t * | tile_index

## Detailed Description

Index structure of the codestream (FIXME should be expand and enhance)

## Field Documentation

## ◆ codestream_size

OPJ_UINT64 opj_codestream_index::codestream_size

codestream's size

Referenced by j2k_get_cstr_index(), and opj_j2k_write_epc().

## ◆ main_head_end

OPJ_OFF_T opj_codestream_index::main_head_end

main header end position (first SOT position)

Referenced by j2k_get_cstr_index(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_decode_one_tile(), opj_j2k_dump_MH_index(), opj_j2k_get_end_header(), and opj_j2k_read_header_procedure().

## ◆ main_head_start

OPJ_OFF_T opj_codestream_index::main_head_start

main header start position (SOC position)

Referenced by j2k_get_cstr_index(), opj_j2k_dump_MH_index(), opj_j2k_read_soc(), and opj_j2k_write_epc().

## ◆ marker

opj_marker_info_t* opj_codestream_index::marker

list of markers

Referenced by j2k_destroy_cstr_index(), j2k_get_cstr_index(), opj_j2k_add_mhmarker(), opj_j2k_create_cstr_index(), and opj_j2k_dump_MH_index().

## ◆ marknum

OPJ_UINT32 opj_codestream_index::marknum

number of markers

Referenced by j2k_get_cstr_index(), opj_j2k_add_mhmarker(), opj_j2k_create_cstr_index(), and opj_j2k_dump_MH_index().

## ◆ maxmarknum

OPJ_UINT32 opj_codestream_index::maxmarknum

actual size of markers array

Referenced by opj_j2k_add_mhmarker(), and opj_j2k_create_cstr_index().

## ◆ nb_of_tiles

OPJ_UINT32 opj_codestream_index::nb_of_tiles

Referenced by j2k_destroy_cstr_index(), j2k_get_cstr_index(), opj_j2k_allocate_tile_element_cstr_index(), opj_j2k_build_tp_index_from_tlm(), and opj_j2k_dump_MH_index().

## ◆ tile_index

opj_tile_index_t* opj_codestream_index::tile_index

Referenced by j2k_destroy_cstr_index(), j2k_get_cstr_index(), opj_j2k_add_tlmarker(), opj_j2k_allocate_tile_element_cstr_index(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_create_cstr_index(), opj_j2k_decode_one_tile(), opj_j2k_decode_tiles(), opj_j2k_dump_MH_index(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_tile_header(), and opj_t2_decode_packets().

The documentation for this struct was generated from the following file:

- openjpeg.h